package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.Goods;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GoodsDao extends BaseDAO<Integer, Goods> {

    /**
     * 通过科目编号查询商品(教材、辅件)列表
     * @param subjectId
     * @return
     */
    List<Goods> findGoodsBySubId(@Param("subjectId") Integer subjectId, @Param("goodsCategoryId") Integer goodsCategoryId);

    /**
     * 根据商品分类查找商品数量
     * @param goodsCategoryId
     * @return
     */
    int findGoodsNumByCategoryId(@Param("goodsCategoryId") Integer goodsCategoryId);
}