package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.MusicGroupStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group):
 */
public class MusicGroup {

	/**  */
	private String id;
	
	/** 乐团名称 */
	@ApiModelProperty(value = "乐团名称",required = false)
	private String name;
	
	/** 所属分部 */
	@ApiModelProperty(value = "所属分部",required = false)
	private Integer organId;
	
	/** 学校(合作单位) */
	@ApiModelProperty(value = "学校(合作单位) ",required = false)
	private Integer schoolId;
	
	/** 报名截止日期 */
	@ApiModelProperty(value = "报名截止日期",required = false)
	private java.util.Date applyExpireDate;
	
	/** 团长 */
	@ApiModelProperty(value = "团长",required = false)
	private Integer teamTeacherId;
	
	/** 教务老师 */
	@ApiModelProperty(value = "教务老师",required = false)
	private Integer educationalTeacherId;
	
	/** 收费类型 */
	@ApiModelProperty(value = "收费类型",required = false)
	private Integer chargeTypeId;
	
	/** 课程组 */
	@ApiModelProperty(value = "课程组",required = false)
	private String courseGroupId;
	
	/**  */
	@ApiModelProperty(value = "乐团课时数",required = false)
	private Integer classPeriod;
	
	/**  */
	@ApiModelProperty(value = "乐团赠送课时数",required = false)
	private Integer freeClassPeriod;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 状态（报名中、缴费中、筹备中、进行中、取消） */
	@ApiModelProperty(value = "乐团状态（报名中、缴费中、筹备中、进行中、取消）",required = false)
	private MusicGroupStatusEnum status;
	
	/** 缴费截止日期 */
	@ApiModelProperty(value = "乐团缴费截止日期",required = false)
	private java.util.Date paymentExpireDate;
	
	/** 计费开始日期 */
	@ApiModelProperty(value = "乐团计费开始日期 ",required = false)
	private java.util.Date billStartDate;
	
	@ApiModelProperty(value = "提高课班级数",required = false)
	private Integer improventClassesNum;
	
	@ApiModelProperty(value = "招生年级（多个用|分开）",required = false)
	private String enrollClasses;
	
	public void setId(String id){
		this.id = id;
	}
	
	public String getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setSchoolId(Integer schoolId){
		this.schoolId = schoolId;
	}
	
	public Integer getSchoolId(){
		return this.schoolId;
	}
			
	public void setApplyExpireDate(java.util.Date applyExpireDate){
		this.applyExpireDate = applyExpireDate;
	}
	
	public java.util.Date getApplyExpireDate(){
		return this.applyExpireDate;
	}
			
	public void setTeamTeacherId(Integer teamTeacherId){
		this.teamTeacherId = teamTeacherId;
	}
	
	public Integer getTeamTeacherId(){
		return this.teamTeacherId;
	}
			
	public void setEducationalTeacherId(Integer educationalTeacherId){
		this.educationalTeacherId = educationalTeacherId;
	}
	
	public Integer getEducationalTeacherId(){
		return this.educationalTeacherId;
	}
			
	public void setChargeTypeId(Integer chargeTypeId){
		this.chargeTypeId = chargeTypeId;
	}
	
	public Integer getChargeTypeId(){
		return this.chargeTypeId;
	}
			
	public void setCourseGroupId(String courseGroupId){
		this.courseGroupId = courseGroupId;
	}
	
	public String getCourseGroupId(){
		return this.courseGroupId;
	}
			
	public void setClassPeriod(Integer classPeriod){
		this.classPeriod = classPeriod;
	}
	
	public Integer getClassPeriod(){
		return this.classPeriod;
	}
			
	public void setFreeClassPeriod(Integer freeClassPeriod){
		this.freeClassPeriod = freeClassPeriod;
	}
	
	public Integer getFreeClassPeriod(){
		return this.freeClassPeriod;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public MusicGroupStatusEnum getStatus() {
		return status;
	}

	public void setStatus(MusicGroupStatusEnum status) {
		this.status = status;
	}

	public void setPaymentExpireDate(java.util.Date paymentExpireDate){
		this.paymentExpireDate = paymentExpireDate;
	}
	
	public java.util.Date getPaymentExpireDate(){
		return this.paymentExpireDate;
	}
			
	public void setBillStartDate(java.util.Date billStartDate){
		this.billStartDate = billStartDate;
	}
	
	public java.util.Date getBillStartDate(){
		return this.billStartDate;
	}
			
	public Integer getImproventClassesNum() {
		return improventClassesNum;
	}

	public void setImproventClassesNum(Integer improventClassesNum) {
		this.improventClassesNum = improventClassesNum;
	}

	public String getEnrollClasses() {
		return enrollClasses;
	}

	public void setEnrollClasses(String enrollClasses) {
		this.enrollClasses = enrollClasses;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
