package com.ym.mec.web.service.impl;

import com.ym.mec.web.dal.dao.CourseGroupDao;
import com.ym.mec.web.dal.entity.CourseGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.CourseGroupDetailDao;
import com.ym.mec.web.dal.entity.CourseGroupDetail;
import com.ym.mec.web.service.CourseGroupDetailService;

import java.util.Date;
import java.util.List;
import java.util.stream.Stream;

@Service
public class CourseGroupDetailServiceImpl extends BaseServiceImpl<Integer, CourseGroupDetail>  implements CourseGroupDetailService {
	
	@Autowired
	private CourseGroupDetailDao courseGroupDetailDao;
	@Autowired
	private CourseGroupDao courseGroupDao;

	@Override
	public BaseDAO<Integer, CourseGroupDetail> getDAO() {
		return courseGroupDetailDao;
	}

	@Override
	public void batchInsert(String courseGroupName,Integer organId, List<CourseGroupDetail> courseGroupDetails) {
		CourseGroup courseGroup = new CourseGroup(organId,courseGroupName);
		Date date = new Date();
		courseGroup.setCreateTime(date);
		courseGroup.setUpdateTime(date);
		courseGroupDao.insert(courseGroup);
		courseGroupDetails.forEach( e -> {
			e.setCourseGroupId(courseGroup.getId());
			e.setCreateTime(date);
			e.setUpdateTime(date);
			courseGroupDetailDao.insert(e);
		} );
	}
}